RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::websocket::basic::impl::ws_connection_t< Traits, WS_Message_Handler >::one_shot_action_t Class Reference

A helper class for running exclusive action. Only a first action will run. More...

## Public Member Functions
template<typename Action >
void | run_if_first (Action &&action) noexcept(noexcept(action()))
void | disable ()
| Disable ation: action will not be executed even on a first shot. More...

## Private Attributes
bool | m_not_executed_yet { true }

## Detailed Description

template<typename Traits, typename WS_Message_Handler>
class restinio::websocket::basic::impl::ws_connection_t< Traits, WS_Message_Handler >::one_shot_action_t

A helper class for running exclusive action. Only a first action will run.

Definition at line 1408 of file ws_connection.hpp.

## Member Function Documentation

## ◆ disable()

template<typename Traits , typename WS_Message_Handler >

void restinio::websocket::basic::impl::ws_connection_t< Traits, WS_Message_Handler >::one_shot_action_t::disable | ( |  | ) |
| inline

Disable ation: action will not be executed even on a first shot.

Definition at line 1424 of file ws_connection.hpp.

## ◆ run_if_first()

template<typename Traits , typename WS_Message_Handler >
template<typename Action >

void restinio::websocket::basic::impl::ws_connection_t< Traits, WS_Message_Handler >::one_shot_action_t::run_if_first | ( | Action && | action | ) |
| inline noexcept

Definition at line 1413 of file ws_connection.hpp.

## Member Data Documentation

## ◆ m_not_executed_yet

template<typename Traits , typename WS_Message_Handler >

bool restinio::websocket::basic::impl::ws_connection_t< Traits, WS_Message_Handler >::one_shot_action_t::m_not_executed_yet { true }
| private

Definition at line 1430 of file ws_connection.hpp.

The documentation for this class was generated from the following file:

- restinio/websocket/impl/ws_connection.hpp